import { Icon } from "@chakra-ui/react";
import React from "react";

const PasswordIcon = (props: any) => {
  return (
    <Icon viewBox="0 0 25 25" {...props}>
      <svg
        width="25"
        height="25"
        viewBox="0 0 25 25"
        fill="none"
        xmlns="http://www.w3.org/2000/svg"
      >
        <path
          d="M12.5007 18.0736C13.4384 18.0736 14.1986 17.3134 14.1986 16.3757C14.1986 15.4379 13.4384 14.6777 12.5007 14.6777C11.5629 14.6777 10.8027 15.4379 10.8027 16.3757C10.8027 17.3134 11.5629 18.0736 12.5007 18.0736Z"
          fill="white"
        />
        <path
          d="M19.0423 9.92773V8.62565C19.0423 5.81315 18.3652 2.08398 12.5007 2.08398C6.63607 2.08398 5.95898 5.81315 5.95898 8.62565V9.92773C3.04232 10.2923 2.08398 11.7715 2.08398 15.4069V17.3444C2.08398 21.6152 3.38607 22.9173 7.6569 22.9173H17.3444C21.6152 22.9173 22.9173 21.6152 22.9173 17.3444V15.4069C22.9173 11.7715 21.959 10.2923 19.0423 9.92773ZM12.5007 19.5215C10.7611 19.5215 9.35482 18.1048 9.35482 16.3757C9.35482 14.6361 10.7715 13.2298 12.5007 13.2298C14.2298 13.2298 15.6465 14.6465 15.6465 16.3757C15.6465 18.1152 14.2402 19.5215 12.5007 19.5215ZM7.6569 9.83398C7.57357 9.83398 7.50065 9.83398 7.41732 9.83398V8.62565C7.41732 5.57357 8.2819 3.54232 12.5007 3.54232C16.7194 3.54232 17.584 5.57357 17.584 8.62565V9.8444C17.5006 9.8444 17.4277 9.8444 17.3444 9.8444H7.6569V9.83398Z"
          fill="white"
        />
      </svg>
    </Icon>
  );
};

export default PasswordIcon;
